--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: K.39
--  \   \         Application: netgen
--  /   /         Filename: shift_reg_8b_20c.vhd
-- /___/   /\     Timestamp: Wed May 05 16:25:52 2010
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -w -sim -ofmt vhdl C:\EAU\coregen\tmp\_cg\shift_reg_8b_20c.ngc C:\EAU\coregen\tmp\_cg\shift_reg_8b_20c.vhd 
-- Device	: 5vsx95tff1136-2
-- Input file	: C:/EAU/coregen/tmp/_cg/shift_reg_8b_20c.ngc
-- Output file	: C:/EAU/coregen/tmp/_cg/shift_reg_8b_20c.vhd
-- # of Entities	: 1
-- Design Name	: shift_reg_8b_20c
-- Xilinx	: C:\Xilinx\10.1\ISE
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------


-- synthesis translate_off
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity shift_reg_8b_20c is
  port (
    clk : in STD_LOGIC := 'X'; 
    d : in STD_LOGIC_VECTOR ( 7 downto 0 ); 
    q : out STD_LOGIC_VECTOR ( 7 downto 0 ) 
  );
end shift_reg_8b_20c;

architecture STRUCTURE of shift_reg_8b_20c is
  signal BU2_sclr : STD_LOGIC; 
  signal BU2_sset : STD_LOGIC; 
  signal BU2_sinit : STD_LOGIC; 
  signal BU2_ainit : STD_LOGIC; 
  signal BU2_aclr : STD_LOGIC; 
  signal BU2_ce : STD_LOGIC; 
  signal BU2_aset : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_7_26 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_6_25 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_5_24 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_4_23 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_3_22 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_2_21 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_1_20 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_0_19 : STD_LOGIC; 
  signal BU2_U0_N1 : STD_LOGIC; 
  signal BU2_U0_N0 : STD_LOGIC; 
  signal NLW_VCC_P_UNCONNECTED : STD_LOGIC; 
  signal NLW_GND_G_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_7_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_6_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_5_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_4_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_3_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_2_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_1_Q31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_Mshreg_q_0_Q31_UNCONNECTED : STD_LOGIC; 
  signal d_2 : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal q_3 : STD_LOGIC_VECTOR ( 7 downto 0 ); 
  signal BU2_a : STD_LOGIC_VECTOR ( 3 downto 0 ); 
begin
  d_2(7) <= d(7);
  d_2(6) <= d(6);
  d_2(5) <= d(5);
  d_2(4) <= d(4);
  d_2(3) <= d(3);
  d_2(2) <= d(2);
  d_2(1) <= d(1);
  d_2(0) <= d(0);
  q(7) <= q_3(7);
  q(6) <= q_3(6);
  q(5) <= q_3(5);
  q(4) <= q_3(4);
  q(3) <= q_3(3);
  q(2) <= q_3(2);
  q(1) <= q_3(1);
  q(0) <= q_3(0);
  VCC_0 : VCC
    port map (
      P => NLW_VCC_P_UNCONNECTED
    );
  GND_1 : GND
    port map (
      G => NLW_GND_G_UNCONNECTED
    );
  BU2_U0_q_7 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_7_26,
      Q => q_3(7)
    );
  BU2_U0_Mshreg_q_7 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(7),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_7_26,
      Q31 => NLW_BU2_U0_Mshreg_q_7_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_6 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_6_25,
      Q => q_3(6)
    );
  BU2_U0_Mshreg_q_6 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(6),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_6_25,
      Q31 => NLW_BU2_U0_Mshreg_q_6_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_5 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_5_24,
      Q => q_3(5)
    );
  BU2_U0_Mshreg_q_5 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(5),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_5_24,
      Q31 => NLW_BU2_U0_Mshreg_q_5_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_4 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_4_23,
      Q => q_3(4)
    );
  BU2_U0_Mshreg_q_4 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(4),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_4_23,
      Q31 => NLW_BU2_U0_Mshreg_q_4_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_3 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_3_22,
      Q => q_3(3)
    );
  BU2_U0_Mshreg_q_3 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(3),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_3_22,
      Q31 => NLW_BU2_U0_Mshreg_q_3_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_2 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_2_21,
      Q => q_3(2)
    );
  BU2_U0_Mshreg_q_2 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(2),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_2_21,
      Q31 => NLW_BU2_U0_Mshreg_q_2_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_1 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_1_20,
      Q => q_3(1)
    );
  BU2_U0_Mshreg_q_1 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(1),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_1_20,
      Q31 => NLW_BU2_U0_Mshreg_q_1_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_q_0 : FDE
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      CE => BU2_U0_N1,
      D => BU2_U0_Mshreg_q_0_19,
      Q => q_3(0)
    );
  BU2_U0_Mshreg_q_0 : SRLC32E
    generic map(
      INIT => X"00000000"
    )
    port map (
      CLK => clk,
      D => d_2(0),
      CE => BU2_U0_N1,
      Q => BU2_U0_Mshreg_q_0_19,
      Q31 => NLW_BU2_U0_Mshreg_q_0_Q31_UNCONNECTED,
      A(4) => BU2_U0_N1,
      A(3) => BU2_U0_N0,
      A(2) => BU2_U0_N0,
      A(1) => BU2_U0_N1,
      A(0) => BU2_U0_N0
    );
  BU2_U0_XST_VCC : VCC
    port map (
      P => BU2_U0_N1
    );
  BU2_U0_XST_GND : GND
    port map (
      G => BU2_U0_N0
    );

end STRUCTURE;

-- synthesis translate_on
