--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: K.39
--  \   \         Application: netgen
--  /   /         Filename: shift_reg_2b_9c.vhd
-- /___/   /\     Timestamp: Sun May 16 14:54:46 2010
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -w -sim -ofmt vhdl C:\EAU\coregenVIRTEX4_LX200T\tmp\_cg\shift_reg_2b_9c.ngc C:\EAU\coregenVIRTEX4_LX200T\tmp\_cg\shift_reg_2b_9c.vhd 
-- Device	: 4vlx200ff1513-11
-- Input file	: C:/EAU/coregenVIRTEX4_LX200T/tmp/_cg/shift_reg_2b_9c.ngc
-- Output file	: C:/EAU/coregenVIRTEX4_LX200T/tmp/_cg/shift_reg_2b_9c.vhd
-- # of Entities	: 1
-- Design Name	: shift_reg_2b_9c
-- Xilinx	: C:\Xilinx\10.1\ISE
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------


-- synthesis translate_off
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity shift_reg_2b_9c is
  port (
    clk : in STD_LOGIC := 'X'; 
    d : in STD_LOGIC_VECTOR ( 1 downto 0 ); 
    q : out STD_LOGIC_VECTOR ( 1 downto 0 ) 
  );
end shift_reg_2b_9c;

architecture STRUCTURE of shift_reg_2b_9c is
  signal BU2_sclr : STD_LOGIC; 
  signal BU2_sset : STD_LOGIC; 
  signal BU2_sinit : STD_LOGIC; 
  signal BU2_ainit : STD_LOGIC; 
  signal BU2_aclr : STD_LOGIC; 
  signal BU2_ce : STD_LOGIC; 
  signal BU2_aset : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_1_8 : STD_LOGIC; 
  signal BU2_U0_Mshreg_q_0_7 : STD_LOGIC; 
  signal BU2_U0_N1 : STD_LOGIC; 
  signal BU2_U0_N0 : STD_LOGIC; 
  signal NLW_VCC_P_UNCONNECTED : STD_LOGIC; 
  signal NLW_GND_G_UNCONNECTED : STD_LOGIC; 
  signal d_2 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal q_3 : STD_LOGIC_VECTOR ( 1 downto 0 ); 
  signal BU2_a : STD_LOGIC_VECTOR ( 3 downto 0 ); 
begin
  d_2(1) <= d(1);
  d_2(0) <= d(0);
  q(1) <= q_3(1);
  q(0) <= q_3(0);
  VCC_0 : VCC
    port map (
      P => NLW_VCC_P_UNCONNECTED
    );
  GND_1 : GND
    port map (
      G => NLW_GND_G_UNCONNECTED
    );
  BU2_U0_q_1 : FD
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      D => BU2_U0_Mshreg_q_1_8,
      Q => q_3(1)
    );
  BU2_U0_Mshreg_q_1 : SRL16
    generic map(
      INIT => X"0000"
    )
    port map (
      A0 => BU2_U0_N1,
      A1 => BU2_U0_N1,
      A2 => BU2_U0_N1,
      A3 => BU2_U0_N0,
      CLK => clk,
      D => d_2(1),
      Q => BU2_U0_Mshreg_q_1_8
    );
  BU2_U0_q_0 : FD
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      D => BU2_U0_Mshreg_q_0_7,
      Q => q_3(0)
    );
  BU2_U0_Mshreg_q_0 : SRL16
    generic map(
      INIT => X"0000"
    )
    port map (
      A0 => BU2_U0_N1,
      A1 => BU2_U0_N1,
      A2 => BU2_U0_N1,
      A3 => BU2_U0_N0,
      CLK => clk,
      D => d_2(0),
      Q => BU2_U0_Mshreg_q_0_7
    );
  BU2_U0_XST_VCC : VCC
    port map (
      P => BU2_U0_N1
    );
  BU2_U0_XST_GND : GND
    port map (
      G => BU2_U0_N0
    );

end STRUCTURE;

-- synthesis translate_on
