--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: K.39
--  \   \         Application: netgen
--  /   /         Filename: EAUmLUT_addrcomp.vhd
-- /___/   /\     Timestamp: Wed Apr 07 15:11:14 2010
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -w -sim -ofmt vhdl C:\EAU\coregen\tmp\_cg\EAUmLUT_addrcomp.ngc C:\EAU\coregen\tmp\_cg\EAUmLUT_addrcomp.vhd 
-- Device	: 5vsx95tff1136-2
-- Input file	: C:/EAU/coregen/tmp/_cg/EAUmLUT_addrcomp.ngc
-- Output file	: C:/EAU/coregen/tmp/_cg/EAUmLUT_addrcomp.vhd
-- # of Entities	: 1
-- Design Name	: EAUmLUT_addrcomp
-- Xilinx	: C:\Xilinx\10.1\ISE
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------


-- synthesis translate_off
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity EAUmLUT_addrcomp is
  port (
    clk : in STD_LOGIC := 'X'; 
    qa_gt_b : out STD_LOGIC; 
    a : in STD_LOGIC_VECTOR ( 11 downto 0 ) 
  );
end EAUmLUT_addrcomp;

architecture STRUCTURE of EAUmLUT_addrcomp is
  signal BU2_N2 : STD_LOGIC; 
  signal BU2_a_ge_b : STD_LOGIC; 
  signal NLW_VCC_P_UNCONNECTED : STD_LOGIC; 
  signal NLW_GND_G_UNCONNECTED : STD_LOGIC; 
  signal a_2 : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal BU2_U0_gen_structure_logic_gen_nonpipelined_a_lt_ge_gt_le_b_i_gen_carry_chain_comp_carry : STD_LOGIC_VECTOR ( 0 downto 0 ); 
begin
  a_2(11) <= a(11);
  a_2(10) <= a(10);
  a_2(9) <= a(9);
  a_2(8) <= a(8);
  a_2(7) <= a(7);
  a_2(6) <= a(6);
  a_2(5) <= a(5);
  a_2(4) <= a(4);
  a_2(3) <= a(3);
  a_2(2) <= a(2);
  a_2(1) <= a(1);
  a_2(0) <= a(0);
  VCC_0 : VCC
    port map (
      P => NLW_VCC_P_UNCONNECTED
    );
  GND_1 : GND
    port map (
      G => NLW_GND_G_UNCONNECTED
    );
  BU2_U0_gen_structure_logic_gen_nonpipelined_a_lt_ge_gt_le_b_i_gen_carry_chain_comp_carry_0_1 : LUT6
    generic map(
      INIT => X"A888A888A8888888"
    )
    port map (
      I0 => a_2(11),
      I1 => a_2(10),
      I2 => a_2(9),
      I3 => a_2(8),
      I4 => a_2(7),
      I5 => BU2_N2,
      O => BU2_U0_gen_structure_logic_gen_nonpipelined_a_lt_ge_gt_le_b_i_gen_carry_chain_comp_carry(0)
    );
  BU2_U0_gen_structure_logic_gen_nonpipelined_a_lt_ge_gt_le_b_i_gen_carry_chain_comp_carry_0_1_SW0 : LUT4
    generic map(
      INIT => X"FFEA"
    )
    port map (
      I0 => a_2(6),
      I1 => a_2(4),
      I2 => a_2(3),
      I3 => a_2(5),
      O => BU2_N2
    );
  BU2_U0_gen_structure_logic_gen_nonpipelined_a_lt_ge_gt_le_b_i_gen_carry_chain_comp_gen_output_reg_output_reg_fd_output_1 : FD
    generic map(
      INIT => '0'
    )
    port map (
      C => clk,
      D => BU2_U0_gen_structure_logic_gen_nonpipelined_a_lt_ge_gt_le_b_i_gen_carry_chain_comp_carry(0),
      Q => qa_gt_b
    );
  BU2_XST_GND : GND
    port map (
      G => BU2_a_ge_b
    );

end STRUCTURE;

-- synthesis translate_on
