----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:32:29 04/29/2010 
-- Design Name: 
-- Module Name:    MUX12to1_9to25 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity MUX12to1_9to25 is
    Port ( sel : in  STD_LOGIC_VECTOR (3 downto 0);
           val1 : in  STD_LOGIC_VECTOR (8 downto 0);
           val2 : in  STD_LOGIC_VECTOR (8 downto 0);
           val3 : in  STD_LOGIC_VECTOR (8 downto 0);
           val4 : in  STD_LOGIC_VECTOR (8 downto 0);
           val5 : in  STD_LOGIC_VECTOR (8 downto 0);
           val6 : in  STD_LOGIC_VECTOR (8 downto 0);
           val7 : in  STD_LOGIC_VECTOR (8 downto 0);
           val8 : in  STD_LOGIC_VECTOR (8 downto 0);
           val9 : in  STD_LOGIC_VECTOR (8 downto 0);
           val10 : in  STD_LOGIC_VECTOR (8 downto 0);
           val11 : in  STD_LOGIC_VECTOR (8 downto 0);
           val12 : in  STD_LOGIC_VECTOR (8 downto 0);
           val_o : out  STD_LOGIC_VECTOR (24 downto 0));
end MUX12to1_9to25;

architecture Behavioral of MUX12to1_9to25 is

signal val_o_s: std_logic_vector(8 downto 0);

begin

process(sel)
begin
if sel="0000" then
	val_o_s<=val1;
elsif sel="0001" then
	val_o_s<=val2;
elsif sel="0010" then
	val_o_s<=val3;
elsif sel="0011" then
	val_o_s<=val4;
elsif sel="0100" then
	val_o_s<=val5;
elsif sel="0101" then
	val_o_s<=val6;
elsif sel="0110" then
	val_o_s<=val7;
elsif sel="0111" then
	val_o_s<=val8;
elsif sel="1000" then
	val_o_s<=val9;
elsif sel="1001" then
	val_o_s<=val10;
elsif sel="1010" then
	val_o_s<=val11;
elsif sel="1011" then
	val_o_s<=val12;
else
	val_o_s<=(others=>'0');
end if;
end process;

val_o(24 downto 16)<=val_o_s;
val_o(15 downto 0)<=(others=>'0');

end Behavioral;

